! closure for ALTERTAX simulation
 Exogenous
          pop
          psave pcgdswld
          profitslack incomeslack endwslack
          cgdslack tradslack
          ams atm atf ats atd
          aosec aoreg avasec avareg
          afcom afsec afreg afecom afesec afereg
          au uelas dpgov dpsave
          to tp tm tms tx txs
          qo(ENDW_COMM,REG)

          aoall(NSPILL_COMM, reg)
          aoall("cgds", reg)
          aoall(spill_comm, spill_src)

          afeall(ENDW_COMM, NSPILL_COMM, reg)
          afeall(ENDW_COMM, "cgds", reg)
          afeall("capital", SPILL_COMM, reg)

          afall(trad_comm, nspill_comm, reg)
          afall(trad_comm, "cgds"     , reg)
          afall(NINVENT, spill_comm , reg)
          afall(invche, spill_comm, spill_src)
          afall(invmac, spill_comm, spill_src)
  ;
Rest Endogenous ;

dtbal("AUS")
dtbal("NAM")
dtbal("ARG")
dtbal("EUR")
dtbal("JAN")
dtbal("RAS")
dtbal("SAM")
dtbal("CHN")
cgdslack("ROW");
Rest endogenous;
